#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 quickcheck-classes
version:              0.6.5.0
visibility:           public
id:                   quickcheck-classes-0.6.5.0-8eg24R2uvrWCihqOYZssxW
key:                  quickcheck-classes-0.6.5.0-8eg24R2uvrWCihqOYZssxW
license:              BSD-3-Clause
copyright:            2018 Andrew Martin
maintainer:           andrew.thaddeus@gmail.com
author:               Andrew Martin, chessai
homepage:             https://github.com/andrewthad/quickcheck-classes#readme
synopsis:             QuickCheck common typeclasses
description:
    This library provides QuickCheck properties to ensure
    that typeclass instances adhere to the set of laws that
    they are supposed to. There are other libraries that do
    similar things, such as `genvalidity-hspec` and `checkers`.
    This library differs from other solutions by not introducing
    any new typeclasses that the user needs to learn.

    /Note:/ on GHC < 8.5, this library uses the higher-kinded typeclasses
    ('\''Data.Functor.Classes.Show1'\'', '\''Data.Functor.Classes.Eq1'\'', '\''Data.Functor.Classes.Ord1'\'', etc.),
    but on GHC >= 8.5, it uses `-XQuantifiedConstraints` to express these
    constraints more cleanly.

category:             Testing
abi:                  113b46596fca0e0eb5e51bd99a38d09e
exposed:              True
exposed-modules:
    Test.QuickCheck.Classes Test.QuickCheck.Classes.IsList

hidden-modules:
    Test.QuickCheck.Classes.Alt Test.QuickCheck.Classes.Apply
    Test.QuickCheck.Classes.Euclidean Test.QuickCheck.Classes.Json
    Test.QuickCheck.Classes.MVector Test.QuickCheck.Classes.Plus
    Test.QuickCheck.Classes.Prim Test.QuickCheck.Classes.Semigroupoid
    Test.QuickCheck.Classes.Semiring Test.QuickCheck.Classes.Ring

import-dirs:          /usr/lib/ghc-9.4.8/site-local/quickcheck-classes-0.6.5.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/quickcheck-classes-0.6.5.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/quickcheck-classes-0.6.5.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-quickcheck-classes
hs-libraries:         HSquickcheck-classes-0.6.5.0-8eg24R2uvrWCihqOYZssxW
depends:
    QuickCheck-2.14.3-7Pyc2AYOm6L3Hfy5iTUeSy
    aeson-2.1.2.1-LRjlcarryWV47QfBrWIlNe base-4.17.2.1 containers-0.6.7
    primitive-0.8.0.0-5TU9coTCbFAF1LmcqkQLR6
    primitive-addr-0.1.0.2-8Gf5QFbNGm6Lcx4H1z1cWQ
    quickcheck-classes-base-0.6.2.0-L4p3kcMakhR9nKjQCUsFkj
    semigroupoids-6.0.1-EAROZ6BfD723cjjoHEcpI5
    semirings-0.6-4yDdczH0RRULU1n23KMS1e transformers-0.5.6.2
    vector-0.13.2.0-F8322NeNtfL69paM3N9AVt

haddock-interfaces:
    /usr/share/doc/haskell-quickcheck-classes/html/quickcheck-classes.haddock

haddock-html:         /usr/share/doc/haskell-quickcheck-classes/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

